#pragma once

#include "CoreMinimal.h"
#include "AISkill_FindInteractable.h"
#include "AITunableParameter.h"
#include "AISkill_FindInteractable_Herb.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class UAISkill_FindInteractable_Herb : public UAISkill_FindInteractable
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter MeetConditionBonusWeight;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter MaxNearDistanceBonusWeight;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter MaxNearDistanceBonusWeightRange;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float NearbySurvivorRange;

public:
	UAISkill_FindInteractable_Herb();
};

FORCEINLINE uint32 GetTypeHash(const UAISkill_FindInteractable_Herb) { return 0; }
